use clap::{Args, Parser, Subcommand};

#[derive(Debug, Parser, PartialEq, Eq)]
#[command(version, about, author, long_about = None, args_override_self = true)]
pub struct CliArgs {
	#[command(subcommand)]
	pub commands: Commands,
}

#[derive(Debug, Subcommand, PartialEq, Eq)]
pub enum Commands {
	Init,
	Tags(TagsArgs),
}

#[derive(Debug, Args, PartialEq, Eq)]
pub struct TagsArgs {
	#[arg(long("list"), short)]
	pub list: bool,

	#[command(subcommand)]
	pub commands: Option<TagsCommands>,
}

#[derive(Debug, Subcommand, PartialEq, Eq)]
pub enum TagsCommands {
	Add { add: Vec<String> },
	Remove { remove: Vec<String> },
}
